wireless-regdb (2020.11.20-0ubuntu1~16.04.2) xenial; urgency=medium

  * Backport to xenial (LP: #1906404)
    - Change debhelper compat to 9.
    - Use python2 instead of python3.

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 01 Dec 2020 15:03:06 -0600

wireless-regdb (2020.11.20-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop patches which are now upstream.
    - Add run-scripts-with-python-3.patch to update python interpreter name.
  * debian/rules: Build database binaries and compare to upstream binaries,
    modulo signatures, and fail the build if they do not match. Continue
    shipping upstream binaries to keep the upstream signatures.
  * debian/control:
    - Update to compat level 13.
    - Update Build-Depends needed to build binaries.
    - Set Rules-Requires-Root: no
    - Update standards version to 4.5.0, no changes needed.
    - Update Homepage.
  * Remove obsolete postinst file.

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 30 Nov 2020 18:32:33 -0600

wireless-regdb (2018.05.09-0ubuntu1) cosmic; urgency=medium

  * New upstream release. (LP: #1769980)
  * debian/patches:
    - Drop existing patches.
    - 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch,
      0002-wireless-regdb-Fix-iteration-in-create_wmms-for-pyth.patch: Fix
      errors when building regdb with python 3.
  * debian/rules: Change to no longer build from source; use upstream
    binaries instead.
  * debian/control: Update Build-Depends and maintainer information

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 18 May 2018 12:07:58 -0500

wireless-regdb (2016.06.10-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control:
    - bump Standards-Version to 3.9.8.
    - update debhelper Build-Depends to (>= 9).
  * debian/compat: bump to compat level 9.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 17:56:03 -0600

wireless-regdb (2015.07.20-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 05 Nov 2015 19:51:09 +0000

wireless-regdb (2015.07.20-1) unstable; urgency=medium

  * New upstream version
    - Update rules for Armenia (AM), Bahrain (BH), Costa Rica (CR),
      Ecuador (EC), Guam (GU), Sri Lanka (LK), El Salvador (SV): disable VHT
      in 5 GHz band
    - Update rules for Australia (AU), New Zealand (NZ): assign to ETSI DFS
      region
    - Update rules for Bulgaria (BG): add channels 147..173 (5725-5875 MHz)
    - Update rules for Canada (CA): remove channels 120..134 (5600-5650 MHz)
    - Update rules for Egypt (EG): disable VHT80
    - Update rules for Indonesia (ID), Democratic People's Republic of Korea
      (KP): disable VHT
    - Update rules for Japan (JP): add 60 GHz band
    - Update rules for Macao (MO): assign to ETSI FCC region; add channels
      100..144 (5490-5730 MHz); enable VHT80 and VHT160 in 5 GHz band
    - Add rules for Maldives (MV), Nigeria (NG), Tanzania (TZ) and Samoa (WS)
    - Update rules for Russia (RU): disable VHT80; add 60 GHz band
    - Update rules for United States (US): re-add channels 100..144
      (5490-5730 MHz)
  * Generate a detached signature at source preparation time and append
    it when building the binary package (thanks to Jérémy Bobbio)
    (Closes: #725803)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Aug 2015 10:20:04 +0100

wireless-regdb (2014.11.18-1ubuntu1) wily; urgency=medium

  * Resynchronise with Debian. LP: #1284093
    Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Ryan Finnie <ryan.finnie@canonical.com>  Mon, 13 Apr 2015 19:56:45 +0000

wireless-regdb (2014.11.18-1) unstable; urgency=medium

  * New upstream version
    - Update world regulatory domain: re-enable VHT80 on channel 42
      (5210 MHz) (regression in 2014.05.19); enable VHT80 on channel 58
      (5290 MHz) and VHT160 on channel 50 (5250 MHz) (requires Linux 3.15)
    - Enable VHT160 on channel 50 (5250 MHz) for many countries
      (requires Linux 3.15)
    - Update rules for Bulgaria (BG): add channels 100..140 (5490-5710 MHz)
    - Add rules for American Samoa (AS), Bermuda (BM), The Bahamas (BS),
      Christmas Island (CX), Ethiopia (ET), French Guiana (GF),
      Guadeloupe (GP), Cayman Islands (KY), Mongolia (MN),
      Northern Mariana Islands (MP), Martinique (MQ), Mauritius (MU),
      Malawi (MW), Nicaragua (NI), French Polynesia (PF), Paraguay (PY),
      Reunion (RE), Suriname (SR), Uganda (UG), U.S. Virgin Islands (VI)
      and Mayotte (YT)
    - Update rules for countries using ETSI regulations in 60 GHz band:
      increase frequency range to 57-66 GHz and remove NO-OUTDOOR flag
  * debian/copyright: Update upstream maintainer and git repository
    addresses

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 01 Jan 2015 23:51:50 +0000

wireless-regdb (2014.10.07-1) unstable; urgency=medium

  * New upstream version
    - Update rules for Spain (ES): increase max EIRP in one frequency range
    - Add rules for Anguilla (AI), Dominica (DM), Saint Kitts and Nevis (KN),
      Saint Lucia (LC), Lesotho (LS), Marshall Islands (MH), Moldova (MD),
      Saint Pierre and Miquelon (PM), Turks and Caicos Islands (TC),
      Saint Vincent and the Grenadines (VC), and Wallis and Futuna (WF)
    - Update rules for Saint Barthélemy (BL): increase frequency range and
      max EIRP on 5 GHz band; assign to ETSI DFS region
    - Update rules for Bolivia (BO): reduce max EIRP in 2.4 GHz band;
      increase frequency range in 5 GHz band
    - Update rules for Andorra (AD): add 2.4 GHz and 5 GHz bands
    - Update rules for Republic of Korea (KR): add channel 165 (5825 MHz)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 12 Oct 2014 01:19:26 +0100

wireless-regdb (2014.06.13-1) unstable; urgency=medium

  * New upstream version
    - Correct removal of NO-OFDM and DFS flags from some rules
      (regression in 2013.11.27)
    - Add channels 52..64 and 100..144 in 5 GHz band to world regulatory
      domain
    - Update rules for Norway (NO): increase frequency range on 5 GHz band
      and add 17 GHz band
    - Update rules for Uzbekistan (UZ)
    - Add rules for Afghanistan (AF), Burkina Faso (BF), Bhutan (BT),
      Central African Republic (CF), Côte d'Ivoire (CI), Micronesia (FM),
      Ghana (GH), Guyana (GY), Montenegro (ME), Mauritania (MR), Palau (PW),
      Senegal (SN), Chad (TD), Togo (TG) and Vanuatu (VU)
    - Update rules for Venezuela (VE): increase max EIRP in some frequency
      ranges
    - Update rules for Haiti (HT)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Oct 2014 23:52:43 +0100

wireless-regdb (2013.11.27-1) unstable; urgency=medium

  * New upstream version (Closes: #729089)
    - Enable VHT80 for many countries where it is permitted
    - Enable 5 GHz band for Albania (AL), Bangladesh (BD), Algeria (DZ),
      Indonesia (ID), Morocco (MA), Zimbabwe (ZW)
    - Enable HT40 in 5 GHz band for Russian Federation (RU)
    - Enable VHT80 for world roaming
    - Remove obsolete country code CS (Serbia and Montenegro)
    - Add 60 GHz band channels 1-3 for world roaming
    - Remove antenna gain
    - Add many countries to DFS regions
    - Increase frequency range on 5 GHz for many countries
    - Increase max EIRP on 2.4 GHz for Canada (CA), Dominican Republic (DO),
      Grenada (GD), Guatemala (GT), Guam (GU), Panama (PA), Puerto Rico (PR),
      Taiwan (TW), United States (US) and Uzbekistan (UZ)
    - Increase max EIRP on part or all of 5 GHz band for Grenada (GD),
      Honduras (HN), Jamaica (JM), Sri Lanka (LK), Monaco (MC), Mexico (MX),
      Papua New Guinea (PG), Trinidad and Tobago (TT), Uruguay (UY),
      Uzbekistan (UZ) and Venezuela (VE)
    - Enable HT40 in 2.4 GHz band for Republic of Korea (KR)
    - Reduce max EIRP on 5 GHz for Bulgaria (BG), Brunei Darussalam (BN)
    - Reduce 5 GHz band for Bulgaria (BG), Oman (OM)
    - Remove middle of 5 GHz band for United States (US)
    - Correct max EIRP and reduce 5 GHz band for Saudi Arabia (SA),
      South Africa (ZA)
    - Reduce max EIRP and increase frequency range on 2.4 GHz for
      Colombia (CO) and Mexico (MX)
    - Correct max EIRP and frequency range on 5 GHz for Kenya (KE)
  * Remove the backward-compatible 'EU' regulatory domain; drivers
    should all be generating specific country codes, and the domain
    is no longer up-to-date with ETSI regulations
  * Set both PASSIVE_SCAN and NO_IBSS flags in binary database

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 24 Feb 2014 22:39:31 +0000

wireless-regdb (2013.02.13-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jul 2013 13:01:55 +0100

wireless-regdb (2013.02.13-1) unstable; urgency=low

  * New upstream version
    - Add master DFS region information
    - Add regulations for Rwanda (RW)
    - Enable HT40 on channels 8-13 in Japan (JP)
    - Update regulations for Ukraine (UA)
    - Remove wrong 10 MHz rule for Japan (JP)
    - Add regulatory rules for US, China (CN) and ETSI members on 60 GHz band
    - Update regulatory rules for Spain (ES) on 5 GHz and 2.4 GHz
    - Allow 40 MHz on world roaming channels 12/13
    - Add specific data for Serbia (RS) for the 2.4 GHz and 5 GHz bands
  * debian/control: Set Multi-Arch: foreign, thanks to Tim Gardner
  * debian/watch: Point to new download location on kernel.org
    - Switch to xz-compressed tarballs
  * debian/control: Update fragment in Homepage URL (Closes: #655029)
  * Update policy version to 3.9.4
    - debian/copyright: Update to 1.0 format (no changes required)
  * debian/copyright: Remove unreferenced GPL-2 text
  * debian/copyright: Add my copyright to Debian packaging

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Jun 2013 20:27:44 +0100

wireless-regdb (2011.04.28-1ubuntu3) precise; urgency=low

  * Don't install /lib/crda/pubkeys/linville.key.pub.pem; this conflicts
    with crda.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 20:05:57 +0000

wireless-regdb (2011.04.28-1ubuntu2) precise; urgency=low

  * Make wireless-regdb Multi-Arch: foreign

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Nov 2011 10:51:52 -0700

wireless-regdb (2011.04.28-1ubuntu1) oneiric; urgency=low

  * debian/rules: (LP: #831364)
    - replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create our
      own private key for signing the regulatory data.
    - explicitly override dh_auto_build to make a new private key. 
    - don't remove pubkeys, to make sure the key can be verified.
  * debian/patches/dont_auto_create_keypair: drop the tilde from the key path,
    since it isn't guaranteed to work on buildds.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Sep 2011 11:10:26 -0400

wireless-regdb (2011.04.28-1) unstable; urgency=low

  * New upstream version (Closes: #626816)
    - Update regulatory rules for Netherlands (NL)
    - web/Regulatory.py is now under the ISC licence

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 May 2011 02:40:08 +0100

wireless-regdb (2010.11.24-2) unstable; urgency=low

  * debian/copyright: Correct licence of web/Regulatory.py
  * debian/control: Add references to git repository

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 12 Apr 2011 00:15:21 +0100

wireless-regdb (2010.11.24-1) unstable; urgency=low

  * Initial release (Closes: #572220)
    - Most packaging was done by Kel Modderman and Stefan Lippers-Hollmann

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Apr 2011 14:09:21 +0100
